Add Nodes
POST
/api/construct-models/:model_id/nodesAdd Nodes
Request
Parameters
| Name | Location | Type | Required |
|---|---|---|---|
model_id | path | string | yes |
Bodyrequired
application/json
NodesBatchobject
| Property | Type | Required |
|---|---|---|
nodes | object[] | yes |
Raw schema
{
"properties": {
"nodes": {
"items": {
"properties": {
"id": {
"title": "Id",
"type": "string"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"position": {
"properties": {
"x": {
"title": "X",
"type": "number"
},
"y": {
"title": "Y",
"type": "number"
},
"z": {
"title": "Z",
"type": "number"
}
},
"required": [
"x",
"y",
"z"
],
"title": "ViewerVector3",
"type": "object"
},
"radius": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Radius"
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
}
},
"required": [
"id",
"position"
],
"title": "ViewerNode",
"type": "object"
},
"minItems": 1,
"title": "Nodes",
"type": "array"
}
},
"required": [
"nodes"
],
"title": "NodesBatch",
"type": "object"
}Responses
200Successful Response
application/json
Response Add Construct Nodesobject[]
Raw schema
{
"items": {
"properties": {
"id": {
"title": "Id",
"type": "string"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"position": {
"properties": {
"x": {
"title": "X",
"type": "number"
},
"y": {
"title": "Y",
"type": "number"
},
"z": {
"title": "Z",
"type": "number"
}
},
"required": [
"x",
"y",
"z"
],
"title": "ViewerVector3",
"type": "object"
},
"radius": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Radius"
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
}
},
"required": [
"id",
"position"
],
"title": "ViewerNode",
"type": "object"
},
"title": "Response Add Construct Nodes",
"type": "array"
}422Validation Error
application/json
HTTPValidationErrorobject
| Property | Type | Required |
|---|---|---|
detail | object[] | no |
Raw schema
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"title": "Location",
"type": "array"
},
"msg": {
"title": "Message",
"type": "string"
},
"type": {
"title": "Error Type",
"type": "string"
}
},
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError",
"type": "object"
},
"title": "Detail",
"type": "array"
}
},
"title": "HTTPValidationError",
"type": "object"
}